This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 468216 - python-imaging does not provide egg information
python-imaging does not provide egg information
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-imaging (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Joel Andres Granados
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 11:59 EDT by Felix Schwarz
Modified: 2008-11-24 03:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-24 03:49:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for spec file to resolve the issue (1.64 KB, patch)
2008-11-21 15:45 EST, Felix Schwarz
no flags Details | Diff

  None (edit)
Description Felix Schwarz 2008-10-23 11:59:42 EDT
The current RPM for python-imaging does not provide any egg information.
Upstream does not use setuptools but it is easily possible to enable the
generation of egg information in the RPM. See
http://fedoraproject.org/wiki/Packaging/Python/Eggs#Providing_Eggs_for_non-setuptools_packages

Missing egg information may force a user to recompile python-imaging if he
needs to run software which uses setuptool's require mechanism and PIL is
required.

Fixing the problem does not require any patches to the software itself. It does not change any code, it is just a packaging issue.
Comment 1 Felix Schwarz 2008-11-21 15:45:19 EST
Created attachment 324343 [details]
Patch for spec file to resolve the issue
Comment 2 Joel Andres Granados 2008-11-24 03:36:44 EST
This should not be addressed in current RHEL5.

1. This is already fixed in rawhide and will be present in RHEL6.
2. This is *very* low priority.
3. We offer python-imaging only in RHEL5 client.

For these reasons I'm saying "no" to this.
Comment 3 RHEL Product and Program Management 2008-11-24 03:49:03 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.